package com.community.huiju.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.community.commom.mode.ResponseBean;
import com.community.huiju.dao.ToSysRoleMapper;
import com.community.huiju.model.ToSysRole;
import com.community.huiju.service.IToSysRoleService;
import com.github.pagehelper.PageHelper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("iToSysRoleService")
@Slf4j
public class ToSysRoleServiceImpl implements IToSysRoleService {

    @Autowired
    private ToSysRoleMapper toSysRoleMapper;

    @Override
    public List<ToSysRole> selectRoleByUserId(Integer userId) {

        return toSysRoleMapper.selectRoleByUserId(userId);
    }

    @Override
    public ResponseBean getAll(String parameter) {
        ResponseBean responseBean = new ResponseBean();

        JSONObject jsonObject = JSONObject.parseObject(parameter);
        Integer pageNum = jsonObject.getInteger("pageNum");
        Integer pageSize = jsonObject.getInteger("pageSize");
        String roleName = jsonObject.getString("roleName").trim();

        PageHelper.startPage(pageNum, pageSize);
        List<ToSysRole> roleList = toSysRoleMapper.selectAll(roleName);
        responseBean.addSuccess(roleList);
        return responseBean;
    }
}
